.calc {
    position: relative;

    &__primary {
        margin-bottom: rem(10);
    }

    &__step {
        display: none;

        &.active {
            display: block;
        }
    }

    &__header {
        margin-bottom: rem(10);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(22);

        strong {
            font-weight: 900;
        }
    }

    &__row {
        display: grid;
        grid-row-gap: rem(10);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr;
    }

    &__counter {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(22);

        strong {
            font-weight: 900;
        }
    }

    &__tab {
        color: $white;
        height: rem(40);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        padding: rem(8) rem(10);
        background: $red;
        position: relative;
        border-radius: 4px;
        display: flex;
        align-items: center;
        margin-bottom: rem(10);

        &:before {
            right: rem(10);
            top: calc(50% - 9px);
            content: '';
            width: 10px;
            height: 18px;
            display: block;
            position: absolute;
            background: url("../img/calc_tab_arrow.png") 50% 50% no-repeat;
        }
    }

    &__body {
        margin-bottom: rem(16);
    }

    &__nav {
        display: none;
        margin-bottom: rem(18);
    }

    &__media {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__row {
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__header {
            margin-bottom: rem(25);
        }

        &__title {
            font-size: rem(26);
            line-height: rem(32);
        }

        &__counter {
            font-size: rem(20);
            line-height: rem(24);
        }

        &__content {
            padding: rem(30);
            background: $white;
            border-radius: 5px;
            border: 1px solid #f6f6f6;
        }

        &__body {
            max-width: 980px;
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__tab {
            display: none;
        }

        &__nav {
            display: block;
        }
    }

    @include media-breakpoint-up(xl) {

        &__row {
            grid-row-gap: rem(40);
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-top: rem(4);

        &__media {
            left:rem(994);
            bottom: rem(-76);
            width: 945px;
            display: block;
            position: absolute;
        }
    }
}

.calc-item {
    display: block;
    cursor: pointer;
    font-weight: 500;
    position: relative;
    text-align: center;
    border-radius: 4px;

    &__input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;

        &:checked + .calc-item__main {
            border-color: $red;
            transition: .3s;
        }
    }

    &__main {
        display: block;
        overflow: hidden;
        border-radius: 4px;
        font-style: normal;
        background: #f8f8f8;
        border: 2px solid #f6f6f6;
        transition: .3s;

        &:hover {
            transition: .3s;
            border-color: $red;
        }
    }

    &__media {
        height: 85px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        width: 72px;
        display: block;
        flex-shrink: 0;
    }

    &__content {
        height: 74px;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__title {
        display: block;

        &:before {
            top: 0;
            left: calc(50% - 23px);
            content: '';
            width: 46px;
            height: 2px;
            background: $red;
            position: absolute;
        }

        strong {
            font-weight: 600;
            display: block;
        }

        span {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {

        &__media {
            height: 96px;
        }

        &__icon {
            width: 80px;
        }

        &__content {
            height: rem(72);
        }
    }
}

.calc-summary {
    background: $white;
    border-radius: 5px;
    font-weight: 500;
    text-align: center;
    font-size: rem(16);
    line-height: rem(22);
    border: 1px solid #f6f6f6;
    padding: rem(10) rem(10) rem(20) rem(10);

    &__nav {
        margin-top: 5px;
        margin-bottom: 15px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__value {
        font-weight: 300;
        font-size: rem(18);
        line-height: rem(24);
        margin-bottom: rem(10);
    }

    &__lead {
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(22);
    }

    &__text {
        margin-bottom: rem(24);

        p {
            margin: 0;
        }

        a {

        }
    }

    &__button {
        text-align: center;
    }

    &__phone {
        color: $dark;
        text-decoration: none;
        display: inline-block;
        padding-left: rem(32);
        background: url("../img/icon__phone.png") 0 50% no-repeat;

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.calc-nav {
    width: 100%;
    max-width: 967px;
    display: flex;
    align-items: center;

    &__item {
        width: 20%;
        border: none;
        outline: none;
        flex-shrink: 0;
        overflow: hidden;
        display: flex;
        white-space: nowrap;
        align-items: center;
        cursor: pointer;
        text-align: left;
        position: relative;
        height: rem(45);
        text-decoration: none;
        padding: rem(8) rem(20) rem(8) rem(30);
        font-size: rem(16);
        line-height: rem(24);
        background: transparent;

        span {
            z-index: 10;
            position: relative;
            display: inline-block;
        }

        &:after,
        &:before {
            top: 0;
            left: 0;
            content: '';
            z-index: 1;
            width: 100%;
            height: 100%;
            position: absolute;
        }

        &:after {
            background: url("../img/calc_nav_gray.png") 100% 50% no-repeat;
        }

        &:before {
            opacity: 0;
            background: url("../img/calc_nav_red.png") 100% 50% no-repeat;
        }

        &:first-child {
            border-radius: 4px 0 0 4px;

            &:after {
                background: url("../img/calc_nav_gray_first.png") 100% 50% no-repeat;
            }

            &:before {
                opacity: 0;
                background: url("../img/calc_nav_red_first.png") 100% 50% no-repeat;
            }

            &.active {

                &:after {
                    opacity: 0;
                }

                &:before {
                    opacity: 1;
                }
            }
        }

        &.active {
            color: $white;

            &:after {
                opacity: 0;
            }

            &:before {
                opacity: 1;
            }
        }
    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
